Guest Alias Manager List Guest Aliases

Guest Alias Manager List Guest Aliases
Lists the *GuestAliases* for a specified user in the guest that can be used for authentication of guest operations.

Lists the GuestAliases for a specified user in the guest that can be used for authentication of guest operations.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/GuestAliasManager/{moId}/ListGuestAliases
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case GuestAliasManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ListGuestAliasesRequestType of type(s) application/json
Required

Show optional properties

{
    "vm": {},
    "auth": {},
    "username": "string"
}
{
    "vm": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "auth": {
        "_typeName": "string",
        "interactiveSession": false
    },
    "username": "string"
}
vm
Required

Virtual machine to perform the operation on.

Required privileges: VirtualMachine.GuestOperations.QueryAliases

auth
Required

The guest authentication data for this operation. See GuestAuthentication. These credentials must satisfy authentication requirements for a guest account on the specified virtual machine.

string
username
Required

The guest user whose Alias store is being queried.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "base64Cert": "string",
        "aliases": [
            {
                "_typeName": "string",
                "subject": {
                    "_typeName": "string"
                },
                "comment": "string"
            }
        ]
    }
]
array of object
Optional

Describes the representation of an alias and the subjects that are trusted from that VMware SSO Server.


500

GuestOperationsFault: if there is an error processing a guest operation.

GuestOperationsUnavailable: if the agent for guest operations is not running.

InvalidPowerState: if the VM is not powered on.

InvalidState: if the operation cannot be performed because of the virtual machine's current state.

TaskInProgress: if the virtual machine is busy.

GuestPermissionDenied: if there are insufficient permissions in the guest OS.

InvalidGuestLogin: if the the guest authentication information was not accepted.

GuestComponentsOutOfDate: if the guest agent is too old to support the operation.

OperationNotSupportedByGuest: if the operation is not supported by the guest OS.

OperationDisabledByGuest: if the operation is not enabled due to guest agent configuration.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vm":"{}","auth":"{}","username":"string"}' https://{api_host}/sdk/vim25/{release}/GuestAliasManager/{moId}/ListGuestAliases